
//PRELOAD DE IMG
this.addEventListener("DOMContentLoaded", preloadImages, true);

var loadedImages = 0;
//ACA HAY QUE CARGAR LAS IMAGENES QUE SE USEN
var imageArray = new Array(
  'images/photo1.jpg',
  'images/photo2.jpg',
);

function preloadImages(e) {
  for (var i = 0; i < imageArray.length; i++) {
    var tempImage = new Image();
    tempImage.addEventListener("load", trackProgress, true);
    tempImage.src = imageArray[i];
  }
}

function trackProgress() {
  loadedImages++;
  if (loadedImages == imageArray.length) {
    imagesLoaded();
  }
}

function imagesLoaded() {

  document.getElementById('loader-container').style.display = 'none';
  document.getElementById('banner_content').style.display = 'block';


  initHandlers();
  initAnimations();

}

/* PARA DETECTAR SI ES IOs */
var is_Mac = navigator.platform.toUpperCase().indexOf('MAC') >= 0;
var iOS = /iPad|iPhone|iPod/.test(navigator.userAgent) && !window.MSStream;

if (is_Mac == true || iOS == true) {

}



/* PARA DETECTAR SI ES IE */
if (navigator.userAgent.indexOf('MSIE') !== -1
  || navigator.appVersion.indexOf('Trident/') > 0) {

  alert("IE");

}


// VARIABLES GLOBALES

function initAnimations() {
  var times = 0;
  var tl_ = new TimelineMax();
  tl_
    .from('.f1_txt', 0.75, { opacity: 0, x: '+=100', ease:Power2.easeOut }, 0)
    .from(['.photo2', '.f2_logos'], 1, { opacity: 0, x: '+=100', ease:Power2.easeOut }, '+=1.5')
    .to('.f1', 0.75, { opacity: 0, x: '-=100', ease:Power2.easeOut }, '-=1')
    .from(['.f2_txt_1'], 0.75, { opacity: 0, scale: 0.1, transformOrigin: '50% 50%', ease:Power2.easeOut }, '-=0.25')
    .from('.f2_icons', 0.75, { opacity: 0, scale: 0.1, transformOrigin: '50% 50%', ease:Power2.easeOut }, '-=0.5')
    .from('.cta', 0.75, { opacity: 0, scale: 0.1, transformOrigin: '50% 50%', ease:Power2.easeOut, onComplete: repeatAnim }, '-=0.5')

  function repeatAnim() {
    
    setTimeout(() => {
      times++;
      if(times <= 3) {
        console.log('repeat')
        TweenMax.to(['.photo2', '.f2'], 0.5, { opacity: 0, ease:Power2.easeOut }, 0)
        setTimeout(() => {
          tl_.restart();
        }, 500)
      }
    }, 2000)
  }
}

//HANDLERS
function initHandlers() {

  var clicktag = document.getElementById('clickTag');
  clicktag.addEventListener('mouseup', function (event) {
    window.open(window.clickTag, '_blank');
  });
  clicktag.addEventListener('mouseover', function(){
    TweenMax.to('.cta', .25, {scale: 1.1});
  });
  clicktag.addEventListener('mouseout', function(){
    TweenMax.to('.cta', .25, {scale: 1});
  });
}

